"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fn = exports.external = exports.map = exports.list = exports.ref = exports.string = exports.boolean = exports.number = void 0;
function number(value) {
    return { type: "number", value };
}
exports.number = number;
function boolean(value) {
    return { type: "boolean", value };
}
exports.boolean = boolean;
function string(value) {
    return { type: "string", value };
}
exports.string = string;
function ref(key, path) {
    return {
        type: "ref",
        value: `$${[key].concat(path).join(".")}`,
        key,
        path,
    };
}
exports.ref = ref;
function list(value) {
    return { type: "list", value };
}
exports.list = list;
function map(value) {
    return {
        type: "map",
        value: new Map(Object.entries(value).map(([k, v]) => {
            return [string(k), v];
        })),
    };
}
exports.map = map;
function external(value, view) {
    return { type: "external", value, view };
}
exports.external = external;
function fn(call, param) {
    return {
        type: "fn",
        param,
        value: {
            type: "native",
            call,
        },
    };
}
exports.fn = fn;
//# sourceMappingURL=data.js.map