import type { PSEnv, PSFn, PSMap, PSModule, PSValue } from "./types.js";
import type { Operation, Task } from "./deps.js";
export interface PlatformScript {
    run<T>(block: (env: PSEnv) => Operation<T>): Task<T>;
    call(fn: PSFn, arg: PSValue, options?: PSMap): Task<PSValue>;
    eval(value: PSValue, bindings?: PSMap): Task<PSValue>;
    moduleEval(value: PSValue, url: string | URL): Task<PSModule>;
    load(url: string | URL, base?: string): Task<PSModule>;
}
export declare function createPlatformScript(globals?: (ps: PlatformScript) => PSMap): PlatformScript;
